# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit go-module

DESCRIPTION="Official golang implementation of the Ethereum protocol"
HOMEPAGE="https://github.com/ethereum/go-ethereum"

EGO_SUM=(
	"github.com/Azure/azure-pipeline-go v0.2.1/go.mod"
	"github.com/Azure/azure-pipeline-go v0.2.2"
	"github.com/Azure/azure-pipeline-go v0.2.2/go.mod"
	"github.com/Azure/azure-storage-blob-go v0.7.0"
	"github.com/Azure/azure-storage-blob-go v0.7.0/go.mod"
	"github.com/Azure/go-autorest/autorest v0.9.0"
	"github.com/Azure/go-autorest/autorest v0.9.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.5.0/go.mod"
	"github.com/Azure/go-autorest/autorest/adal v0.8.0"
	"github.com/Azure/go-autorest/autorest/adal v0.8.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/date v0.2.0"
	"github.com/Azure/go-autorest/autorest/date v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.1.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.2.0/go.mod"
	"github.com/Azure/go-autorest/autorest/mocks v0.3.0"
	"github.com/Azure/go-autorest/autorest/mocks v0.3.0/go.mod"
	"github.com/Azure/go-autorest/logger v0.1.0"
	"github.com/Azure/go-autorest/logger v0.1.0/go.mod"
	"github.com/Azure/go-autorest/tracing v0.5.0"
	"github.com/Azure/go-autorest/tracing v0.5.0/go.mod"
	"github.com/BurntSushi/toml v0.3.1/go.mod"
	"github.com/OneOfOne/xxhash v1.2.2/go.mod"
	"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6"
	"github.com/StackExchange/wmi v0.0.0-20180116203802-5d049714c4a6/go.mod"
	"github.com/VictoriaMetrics/fastcache v1.5.7"
	"github.com/VictoriaMetrics/fastcache v1.5.7/go.mod"
	"github.com/alecthomas/template v0.0.0-20160405071501-a0175ee3bccc/go.mod"
	"github.com/alecthomas/units v0.0.0-20151022065526-2efee857e7cf/go.mod"
	"github.com/allegro/bigcache v1.2.1-0.20190218064605-e24eb225f156"
	"github.com/allegro/bigcache v1.2.1-0.20190218064605-e24eb225f156/go.mod"
	"github.com/aristanetworks/goarista v0.0.0-20170210015632-ea17b1a17847"
	"github.com/aristanetworks/goarista v0.0.0-20170210015632-ea17b1a17847/go.mod"
	"github.com/aws/aws-sdk-go v1.25.48"
	"github.com/aws/aws-sdk-go v1.25.48/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/btcsuite/btcd v0.0.0-20171128150713-2e60448ffcc6"
	"github.com/btcsuite/btcd v0.0.0-20171128150713-2e60448ffcc6/go.mod"
	"github.com/cespare/cp v0.1.0"
	"github.com/cespare/cp v0.1.0/go.mod"
	"github.com/cespare/xxhash v1.1.0"
	"github.com/cespare/xxhash v1.1.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.1.1"
	"github.com/cespare/xxhash/v2 v2.1.1/go.mod"
	"github.com/cloudflare/cloudflare-go v0.10.2-0.20190916151808-a80f83b9add9"
	"github.com/cloudflare/cloudflare-go v0.10.2-0.20190916151808-a80f83b9add9/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.0-20190314233015-f79a8a8ca69d/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/deckarep/golang-set v0.0.0-20180603214616-504e848d77ea"
	"github.com/deckarep/golang-set v0.0.0-20180603214616-504e848d77ea/go.mod"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible"
	"github.com/dgrijalva/jwt-go v3.2.0+incompatible/go.mod"
	"github.com/dgryski/go-sip13 v0.0.0-20181026042036-e10d5fee7954/go.mod"
	"github.com/dlclark/regexp2 v1.2.0"
	"github.com/dlclark/regexp2 v1.2.0/go.mod"
	"github.com/docker/docker v1.4.2-0.20180625184442-8e610b2b55bf"
	"github.com/docker/docker v1.4.2-0.20180625184442-8e610b2b55bf/go.mod"
	"github.com/dop251/goja v0.0.0-20200219165308-d1232e640a87"
	"github.com/dop251/goja v0.0.0-20200219165308-d1232e640a87/go.mod"
	"github.com/edsrzf/mmap-go v0.0.0-20160512033002-935e0e8a636c"
	"github.com/edsrzf/mmap-go v0.0.0-20160512033002-935e0e8a636c/go.mod"
	"github.com/fatih/color v1.3.0"
	"github.com/fatih/color v1.3.0/go.mod"
	"github.com/fjl/memsize v0.0.0-20180418122429-ca190fb6ffbc"
	"github.com/fjl/memsize v0.0.0-20180418122429-ca190fb6ffbc/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/gballet/go-libpcsclite v0.0.0-20190607065134-2772fd86a8ff"
	"github.com/gballet/go-libpcsclite v0.0.0-20190607065134-2772fd86a8ff/go.mod"
	"github.com/go-kit/kit v0.8.0"
	"github.com/go-kit/kit v0.8.0/go.mod"
	"github.com/go-logfmt/logfmt v0.3.0"
	"github.com/go-logfmt/logfmt v0.3.0/go.mod"
	"github.com/go-ole/go-ole v1.2.1"
	"github.com/go-ole/go-ole v1.2.1/go.mod"
	"github.com/go-sourcemap/sourcemap v2.1.2+incompatible"
	"github.com/go-sourcemap/sourcemap v2.1.2+incompatible/go.mod"
	"github.com/go-stack/stack v1.8.0"
	"github.com/go-stack/stack v1.8.0/go.mod"
	"github.com/gogo/protobuf v1.1.1/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.2-0.20190517061210-b285ee9cfc6c"
	"github.com/golang/protobuf v1.3.2-0.20190517061210-b285ee9cfc6c/go.mod"
	"github.com/golang/snappy v0.0.1"
	"github.com/golang/snappy v0.0.1/go.mod"
	"github.com/google/go-cmp v0.3.1"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/gorilla/websocket v1.4.1-0.20190629185528-ae1634f6a989"
	"github.com/gorilla/websocket v1.4.1-0.20190629185528-ae1634f6a989/go.mod"
	"github.com/graph-gophers/graphql-go v0.0.0-20191115155744-f33e81362277"
	"github.com/graph-gophers/graphql-go v0.0.0-20191115155744-f33e81362277/go.mod"
	"github.com/hashicorp/golang-lru v0.5.4"
	"github.com/hashicorp/golang-lru v0.5.4/go.mod"
	"github.com/hpcloud/tail v1.0.0"
	"github.com/hpcloud/tail v1.0.0/go.mod"
	"github.com/huin/goupnp v1.0.0"
	"github.com/huin/goupnp v1.0.0/go.mod"
	"github.com/huin/goutil v0.0.0-20170803182201-1ca381bf3150/go.mod"
	"github.com/influxdata/influxdb v1.2.3-0.20180221223340-01288bdb0883"
	"github.com/influxdata/influxdb v1.2.3-0.20180221223340-01288bdb0883/go.mod"
	"github.com/jackpal/go-nat-pmp v1.0.2-0.20160603034137-1fa385a6f458"
	"github.com/jackpal/go-nat-pmp v1.0.2-0.20160603034137-1fa385a6f458/go.mod"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af"
	"github.com/jmespath/go-jmespath v0.0.0-20180206201540-c2b33e8439af/go.mod"
	"github.com/julienschmidt/httprouter v1.1.1-0.20170430222011-975b5c4c7c21"
	"github.com/julienschmidt/httprouter v1.1.1-0.20170430222011-975b5c4c7c21/go.mod"
	"github.com/karalabe/usb v0.0.0-20190919080040-51dc0efba356"
	"github.com/karalabe/usb v0.0.0-20190919080040-51dc0efba356/go.mod"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515"
	"github.com/kr/logfmt v0.0.0-20140226030751-b84e30acd515/go.mod"
	"github.com/kr/pretty v0.1.0"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kylelemons/godebug v1.1.0"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/mattn/go-colorable v0.1.0"
	"github.com/mattn/go-colorable v0.1.0/go.mod"
	"github.com/mattn/go-ieproxy v0.0.0-20190610004146-91bb50d98149/go.mod"
	"github.com/mattn/go-ieproxy v0.0.0-20190702010315-6dee0af9227d"
	"github.com/mattn/go-ieproxy v0.0.0-20190702010315-6dee0af9227d/go.mod"
	"github.com/mattn/go-isatty v0.0.5-0.20180830101745-3fb116b82035"
	"github.com/mattn/go-isatty v0.0.5-0.20180830101745-3fb116b82035/go.mod"
	"github.com/mattn/go-runewidth v0.0.3/go.mod"
	"github.com/mattn/go-runewidth v0.0.4"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/naoina/go-stringutil v0.1.0"
	"github.com/naoina/go-stringutil v0.1.0/go.mod"
	"github.com/naoina/toml v0.1.2-0.20170918210437-9fafd6967416"
	"github.com/naoina/toml v0.1.2-0.20170918210437-9fafd6967416/go.mod"
	"github.com/oklog/ulid v1.3.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.2-0.20190409134802-7e037d187b0c"
	"github.com/olekukonko/tablewriter v0.0.2-0.20190409134802-7e037d187b0c/go.mod"
	"github.com/onsi/ginkgo v1.6.0/go.mod"
	"github.com/onsi/ginkgo v1.7.0"
	"github.com/onsi/ginkgo v1.7.0/go.mod"
	"github.com/onsi/gomega v1.4.3"
	"github.com/onsi/gomega v1.4.3/go.mod"
	"github.com/opentracing/opentracing-go v1.1.0"
	"github.com/opentracing/opentracing-go v1.1.0/go.mod"
	"github.com/pborman/uuid v0.0.0-20170112150404-1b00554d8222"
	"github.com/pborman/uuid v0.0.0-20170112150404-1b00554d8222/go.mod"
	"github.com/peterh/liner v1.1.1-0.20190123174540-a2c9a5303de7"
	"github.com/peterh/liner v1.1.1-0.20190123174540-a2c9a5303de7/go.mod"
	"github.com/pkg/errors v0.8.0/go.mod"
	"github.com/pkg/errors v0.8.1"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/prometheus/client_golang v0.9.1/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/common v0.0.0-20181113130724-41aa239b4cce/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181005140218-185b4288413d/go.mod"
	"github.com/prometheus/tsdb v0.6.2-0.20190402121629-4f204dcbc150"
	"github.com/prometheus/tsdb v0.6.2-0.20190402121629-4f204dcbc150/go.mod"
	"github.com/rjeczalik/notify v0.9.1"
	"github.com/rjeczalik/notify v0.9.1/go.mod"
	"github.com/rs/cors v0.0.0-20160617231935-a62a804a8a00"
	"github.com/rs/cors v0.0.0-20160617231935-a62a804a8a00/go.mod"
	"github.com/rs/xhandler v0.0.0-20160618193221-ed27b6fd6521"
	"github.com/rs/xhandler v0.0.0-20160618193221-ed27b6fd6521/go.mod"
	"github.com/russross/blackfriday/v2 v2.0.1/go.mod"
	"github.com/shirou/gopsutil v2.20.5-0.20200531151128-663af789c085+incompatible"
	"github.com/shirou/gopsutil v2.20.5-0.20200531151128-663af789c085+incompatible/go.mod"
	"github.com/shurcooL/sanitized_anchor_name v1.0.0/go.mod"
	"github.com/spaolacci/murmur3 v0.0.0-20180118202830-f09979ecbc72/go.mod"
	"github.com/status-im/keycard-go v0.0.0-20190316090335-8537d3370df4"
	"github.com/status-im/keycard-go v0.0.0-20190316090335-8537d3370df4/go.mod"
	"github.com/steakknife/bloomfilter v0.0.0-20180922174646-6819c0d2a570"
	"github.com/steakknife/bloomfilter v0.0.0-20180922174646-6819c0d2a570/go.mod"
	"github.com/steakknife/hamming v0.0.0-20180906055917-c99c65617cd3"
	"github.com/steakknife/hamming v0.0.0-20180906055917-c99c65617cd3/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/syndtr/goleveldb v1.0.1-0.20190923125748-758128399b1d"
	"github.com/syndtr/goleveldb v1.0.1-0.20190923125748-758128399b1d/go.mod"
	"github.com/tyler-smith/go-bip39 v1.0.1-0.20181017060643-dbb3b84ba2ef"
	"github.com/tyler-smith/go-bip39 v1.0.1-0.20181017060643-dbb3b84ba2ef/go.mod"
	"github.com/urfave/cli v1.22.1/go.mod"
	"github.com/wsddn/go-ecdh v0.0.0-20161211032359-48726bab9208"
	"github.com/wsddn/go-ecdh v0.0.0-20161211032359-48726bab9208/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20200311171314-f7b00557c8c4"
	"golang.org/x/crypto v0.0.0-20200311171314-f7b00557c8c4/go.mod"
	"golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
	"golang.org/x/net v0.0.0-20181011144130-49bb7cea24b1/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20200425230154-ff2c4b7c35a0"
	"golang.org/x/net v0.0.0-20200425230154-ff2c4b7c35a0/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
	"golang.org/x/sys v0.0.0-20181107165924-66b7b1311ac8/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd"
	"golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.2"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4"
	"golang.org/x/time v0.0.0-20190308202827-9d24e82272b4/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"gopkg.in/alecthomas/kingpin.v2 v2.2.6/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127"
	"gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
	"gopkg.in/fsnotify.v1 v1.4.7"
	"gopkg.in/fsnotify.v1 v1.4.7/go.mod"
	"gopkg.in/natefinch/npipe.v2 v2.0.0-20160621034901-c1b8fa8bdcce"
	"gopkg.in/natefinch/npipe.v2 v2.0.0-20160621034901-c1b8fa8bdcce/go.mod"
	"gopkg.in/olebedev/go-duktape.v3 v3.0.0-20200603215123-a4a8cb9d2cbc"
	"gopkg.in/olebedev/go-duktape.v3 v3.0.0-20200603215123-a4a8cb9d2cbc/go.mod"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7"
	"gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
	"gopkg.in/urfave/cli.v1 v1.20.0"
	"gopkg.in/urfave/cli.v1 v1.20.0/go.mod"
	"gopkg.in/yaml.v2 v2.2.1/go.mod"
	"gopkg.in/yaml.v2 v2.2.2"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gotest.tools v2.2.0+incompatible"
	"gotest.tools v2.2.0+incompatible/go.mod"
	)
go-module_set_globals
SRC_URI="https://github.com/ethereum/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="GPL-3+ LGPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="devtools"

# Does all kinds of wonky stuff like connecting to Docker daemon, network activity, ...
RESTRICT+=" test"

src_compile() {
	emake $(usex devtools all geth)
}

src_install() {
	einstalldocs
	dobin build/bin/geth
	if use devtools; then
		dobin build/bin/abigen
		dobin build/bin/bootnode
		dobin build/bin/evm
		dobin build/bin/p2psim
		dobin build/bin/puppeth
		dobin build/bin/rlpdump
		dobin build/bin/swarm
		dobin build/bin/wnode
	fi
}
